## org.mortbay.jetty.win32service
Class Win32Service

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.win32service.Win32Service

All Implemented Interfaces:
  Runnable, LifeCycle

    public class Win32Service

extends AbstractLifeCycle
implements Runnable

Constructor Summary
`Win32Service()`

Method Summary
`void` `doStart()`
`void` `doStop()`
`Server` `getServer()`
`void` `run()`
`void` `setServer(Server server)`
`void` `stopServer()`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Win32Service

    public Win32Service()

Method Detail

### doStart

    public void doStart()

  Overrides:
    `doStart` in class `AbstractLifeCycle`

### doStop

    public void doStop()

  Overrides:
    `doStop` in class `AbstractLifeCycle`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### stopServer

    public void stopServer()

### getServer

    public Server getServer()

### setServer

    public void setServer(Server server)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.